ZenLib Namespace Reference

Main Page Namespace List Class Hierarchy Compound List File List Namespace Members Compound Members File Members

# ZenLib Namespace Reference

## Compounds

class | Ztring
| String manipulation (based on std::(w)string). More...
class | ZtringList
| Vector of strings manipulation (based on std::vector<std::(w)string>). More...
class | ZtringListList
| Vector of vectors of strings manipulation (based on std::vector<std::vector<std::(w)string>>). More...
class | ZtringListListF
| ZtringListList with file management. More...

## Typedefs

typedef char | Char
typedef signed int | ints
typedef unsigned int | intu
typedef std::basic_string< Char, std::char_traits< Char >, std::allocator< Char > > | tstring

## Enumerations

enum | ztring_t { Ztring_Nothing, Ztring_Rounded = 1, Ztring_CaseSensitive = 2, Ztring_AddLastItem = 4, Ztring_Recursive = 8, Ztring_NoZero = 16 }
| Options for Ztring methods. More...

## Functions

int8s | LittleEndian2int8s (const char *List)
int8u | LittleEndian2int8u (const char *List)
int16s | LittleEndian2int16s (const char *List)
int16u | LittleEndian2int16u (const char *List)
int32s | LittleEndian2int32s (const char *List)
int32u | LittleEndian2int32u (const char *List)
int8s | LittleEndian2int8s (const int8u *List)
int8u | LittleEndian2int8u (const int8u *List)
int16s | LittleEndian2int16s (const int8u *List)
int16u | LittleEndian2int16u (const int8u *List)
int32s | LittleEndian2int32s (const int8u *List)
int32u | LittleEndian2int32u (const int8u *List)
int8s | BigEndian2int8s (const char *List)
int8u | BigEndian2int8u (const char *List)
int16s | BigEndian2int16s (const char *List)
int16u | BigEndian2int16u (const char *List)
int32s | BigEndian2int32s (const char *List)
int32u | BigEndian2int32u (const char *List)
int8s | BigEndian2int8s (const int8u *List)
int8u | BigEndian2int8u (const int8u *List)
int16s | BigEndian2int16s (const int8u *List)
int16u | BigEndian2int16u (const int8u *List)
int32s | BigEndian2int32s (const int8u *List)
int32u | BigEndian2int32u (const int8u *List)
int32s | float32_int32s (float32 F, bool Rounded=true)
int64s | float32_int64s (float32 F, bool Rounded=true)
int32s | float64_int32s (float64 F, bool Rounded=true)
int64s | float64_int64s (float64 F, bool Rounded=true)
float32 | int64u_float32 (int64u v)
float64 | int64u_float64 (int64u v)
int32u | CC4 (const char *C)
int32u | CC3 (const char *C)
int16u | CC2 (const char *C)
int8u | CC1 (const char *C)
int32u | CC4 (const int8u *C)
int32u | CC3 (const int8u *C)
int16u | CC2 (const int8u *C)
int8u | CC1 (const int8u *C)

## Variables

const unsigned int | Error = ((unsigned int)(-1))
const unsigned int | All = ((unsigned int)(-1))

## Typedef Documentation

typedef char ZenLib::Char

typedef signed int ZenLib::ints

typedef unsigned int ZenLib::intu

typedef std::basic_string<Char, std::char_traits<Char>, std::allocator<Char> > ZenLib::tstring

## Enumeration Type Documentation

enum ZenLib::ztring_t

Options for Ztring methods.

Enumeration values:

  Ztring_Nothing |
  Ztring_Rounded | if >.5, upper, else lower
  Ztring_CaseSensitive | Case sensitive ("A" and "a" are different).
  Ztring_AddLastItem | if Begin is found and End is not found, return between Begin and end of string
  Ztring_Recursive | Do all strings.
  Ztring_NoZero |

## Function Documentation

int16s BigEndian2int16s | ( | const int8u * | List | ) | `[inline]`

int16s BigEndian2int16s | ( | const char * | List | ) |

int16u BigEndian2int16u | ( | const int8u * | List | ) | `[inline]`

int16u BigEndian2int16u | ( | const char * | List | ) |

int32s BigEndian2int32s | ( | const int8u * | List | ) | `[inline]`

int32s BigEndian2int32s | ( | const char * | List | ) |

int32u BigEndian2int32u | ( | const int8u * | List | ) | `[inline]`

int32u BigEndian2int32u | ( | const char * | List | ) |

int8s BigEndian2int8s | ( | const int8u * | List | ) | `[inline]`

int8s BigEndian2int8s | ( | const char * | List | ) |

int8u BigEndian2int8u | ( | const int8u * | List | ) | `[inline]`

int8u BigEndian2int8u | ( | const char * | List | ) |

int8u CC1 | ( | const int8u * | C | ) | `[inline]`

int8u CC1 | ( | const char * | C | ) | `[inline]`

int16u CC2 | ( | const int8u * | C | ) | `[inline]`

int16u CC2 | ( | const char * | C | ) | `[inline]`

int32u CC3 | ( | const int8u * | C | ) | `[inline]`

int32u CC3 | ( | const char * | C | ) | `[inline]`

int32u CC4 | ( | const int8u * | C | ) | `[inline]`

int32u CC4 | ( | const char * | C | ) | `[inline]`

int32s float32_int32s | ( | float32 | F,
|  | bool | Rounded = true
| ) |

int64s float32_int64s | ( | float32 | F,
|  | bool | Rounded = true
| ) |

int32s float64_int32s | ( | float64 | F,
|  | bool | Rounded = true
| ) |

int64s float64_int64s | ( | float64 | F,
|  | bool | Rounded = true
| ) |

float32 int64u_float32 | ( | int64u | v | ) | `[inline]`

float64 int64u_float64 | ( | int64u | v | ) | `[inline]`

int16s LittleEndian2int16s | ( | const int8u * | List | ) | `[inline]`

int16s LittleEndian2int16s | ( | const char * | List | ) |

int16u LittleEndian2int16u | ( | const int8u * | List | ) | `[inline]`

int16u LittleEndian2int16u | ( | const char * | List | ) |

int32s LittleEndian2int32s | ( | const int8u * | List | ) | `[inline]`

int32s LittleEndian2int32s | ( | const char * | List | ) |

int32u LittleEndian2int32u | ( | const int8u * | List | ) | `[inline]`

int32u LittleEndian2int32u | ( | const char * | List | ) |

int8s LittleEndian2int8s | ( | const int8u * | List | ) | `[inline]`

int8s LittleEndian2int8s | ( | const char * | List | ) |

int8u LittleEndian2int8u | ( | const int8u * | List | ) | `[inline]`

int8u LittleEndian2int8u | ( | const char * | List | ) |

## Variable Documentation

const unsigned int ZenLib::All = ((unsigned int)(-1))

const unsigned int ZenLib::Error = ((unsigned int)(-1))